/*                                               -*- Mode:C++; tab-width: 8 -*-
//  The Natto View
//
//  Copyright (c) 1997-1998  Hidekazu Shiozawa <shiozawa@myo.inst.keio.ac.jp>
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU *Library* General Public
//  License as published by the Free Software Foundation; either
//  version 2 of the License, or (at your option) any later version.
*/

#ifndef PREFERENCE_H
#define PREFERENCE_H
#ifdef __GNUG__
//#pragma interface
#endif

#include "URL.h"


struct Preference
{
    bool   install_cmap;
    bool   japanese;
    URL    home_page;
    URL    http_proxy;
    URL    ftp_proxy;
    bool   debug_X;
    string app_dir;
    string cache_dir;
    string logname;
    string email;
    string news_server;
    string tmp_dir;

    Preference():
        install_cmap(false), japanese(false), debug_X(false)
    {}
    DBG_NEW
};

EXTERN Preference preference;


#endif /* PREFERENCE_H */
