
#include <db.h>

class DBinter
{
 public:
    DBinter(): db_(NULL) {}
    ~DBinter() { if (db_) this->close(); }

    operator bool() { return db_; }

    bool open(const char* file, int f, int m, DBTYPE t, const void* info) {
        return (db_ = dbopen(file, f, m, t, info));
    }
    int close()                            { return db_->close(db_); }
    int del(const DBT* k, u_int f)         { return db_->del  (db_, k, f); }
    int fd()                               { return db_->fd   (db_); }
    int get(DBT* k, DBT* d, u_int f)       { return db_->get  (db_, k, d, f); }
    int put(DBT* k, const DBT* d, u_int f) { return db_->put  (db_, k, d, f); }
    int sync(u_int f)                      { return db_->sync (db_, f); }
    int seq(DBT* k, DBT* d, u_int f)       { return db_->seq  (db_, k, d, f); }
    
 private:
    DB* db_;
};
