/*                                               -*- Mode:C++; tab-width: 8 -*-
//  The Natto View
//
//  Copyright (c) 1996-1998  Hidekazu Shiozawa <shiozawa@myo.inst.keio.ac.jp>
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU *Library* General Public
//  License as published by the Free Software Foundation; either
//  version 2 of the License, or (at your option) any later version.
*/

#ifdef __GNUG__
int dummy_explate_cc = 0;
#endif

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

// ANSI
#include <algorithm>
#include <deque>
#include <functional>
#include <iterator>
#include <list>
#include <map>
#include <memory>
#include <numeric>
#include <queue>
#include <set>
#include <stack>
#include <utility>
#include <vector>
#include <string>
#include <fstream.h>

// X
#include <X11/Xlib.h>
#include <X11/Xmd.h>

// Natto View
#include "util.h"
#include "observer.h"
#include "netstream.h"
#include "URL.h"
#include "NetManager.h"

#include "dfs.h"
#include "NetObject.h"
#include "Natto.h"
#include "NattoViewGL.h"
#include "LinkExtractor.h"

#include "MotifKit.h"

#define EXPLATE
#define EXPLATE_CLASS
#define EXPLATE_FUNCTION

#include "explate-g++27.out"
