/*                                               -*- Mode:C++; tab-width: 8 -*-
//  The Natto View
//
//  Copyright (c) 1997-1998  Hidekazu Shiozawa <shiozawa@myo.inst.keio.ac.jp>
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU *Library* General Public
//  License as published by the Free Software Foundation; either
//  version 2 of the License, or (at your option) any later version.
*/

#ifndef NETFTP_H
#define NETFTP_H
#ifdef __GNUG__
#pragma interface
#endif

#include "NetManager.h"


class NetFTP: public NetProtocol
{
 public:
    NetFTP(NetManager*);

 protected:
    virtual bool get (NetRequest&, NetResponse&);
    virtual bool head(NetRequest&, NetResponse&);
    DBG_NEW
};

#endif /* NETFTP_H */
