#! /usr/local/bin/perl
#/*
#//  The Natto View
#//
#//  Copyright (c) 1997  Hidekazu Shiozawa <shiozawa@myo.inst.keio.ac.jp>
#//
#//  The code in this file may be used, copied and redistributed under the
#//  same terms as perl itself (see the files README, Copying and Artistic
#//  in the perl distribution).
#*/

print "#ifdef EXPLATE\n\n";
print "#ifdef EXPLATE_FUNCTION\n\n";

while (<>) {
    /undefined/ || next;
    /\`(.*)\'/ || next;
    $fun = $1;
#   1 while ($fun =~ s/basic_string\s*<\s*char\s*,\s*string_char_traits\s*<\s*char\s*>\s+>/string/g);
    if ($fun =~ /::insert_aux/ || $fun =~ /::__erase/) {
	$fun = "void $fun";
    }
    print "template $fun;\n" if ++$seen{$fun} == 1;
}

print "#endif /* EXPLATE */\n\n";
print "#endif /* EXPLATE_FUNCTION */\n\n";
