#include <dmalloc.h>

extern "C" char* _dmalloc_file;

#if 0
#define RA  asm("movl 4(%%ebp),%%eax ; movl %%eax,%0" \
                : "=g" (_dmalloc_file) : : "eax")
#else
#define RA
#endif

void * operator new  (size_t n) { RA; return malloc(n); }
void * operator new[](size_t n) { RA; return malloc(n); }
void   operator delete  (void * p) throw() { RA; if (p) free(p); }
void   operator delete[](void * p) throw() { RA; if (p) free(p); }

#undef malloc
#undef calloc
#undef realloc
#undef free

#if 0
extern "C" {
void* XtMalloc(size_t n)           { RA; return malloc(n ? n : 1); }
void* XtCalloc(size_t c, size_t n) { RA; return calloc(c, n ? n : 1); }
void* XtRealloc(void* p, size_t n) { RA; return realloc(p, n ? n : 1); }
void  XtFree(void* p)              { RA; if (p) free(p); }
};
#endif
